***Change work directory
cd "~/Desktop"

***Open database
use "Population_pyramids.dta", clear

***Replace male by negative value
replace male=-male
replace malepct=-malepct

***Age-sex structure
twoway bar malepct age, horizontal barwidth(5) fcolor(navy) lcolor(black) lwidth(medium) || ///
       bar femalepct age, horizontal barwidth(5) fcolor(maroon) lcolor(black) lwidth(medium) ///
       legend(label(1 Male) label(2 Female)) ///
       ylabel(0(5)85, angle(horizontal) valuelabel labsize(*.8)) ///
       ytitle("Age group") ///
       xlabel(-4 "4.0" -3.5 "3.5" -3 "3.0" -2.5 "2.5" -2 "2.0" -1.5 "1.5" -1 "1.0" -0.5 "0.5" ///
	          0 0.5 "0.5" 1 "1.0" 1.5 2 "2.0" 2.5 3 "3.0" 3.5 4 "4.0") ///
       xtitle("Percent") ///
       title("Age-sex structure, United States, 2021")

***Save graph
graph export "Age-sex_structure_Stata.png", replace
